crossbeam-deque
cargo install crossbeam-deque

crossbeam-deque

Tools for concurrent programming in Rust

by crossbeam-rs

0.8.0 (see all)License:MIT OR Apache-2.0
cargo install crossbeam-deque
Readme

Crossbeam Deque

Build Status License Cargo Documentation Rust 1.36+ chat

This crate provides work-stealing deques, which are primarily intended for building task schedulers.

Usage

Add this to your Cargo.toml:

[dependencies]
crossbeam-deque = "0.7"

Compatibility

Crossbeam Deque supports stable Rust releases going back at least six months, and every time the minimum supported Rust version is increased, a new minor version is released. Currently, the minimum supported Rust version is 1.36.

License

Licensed under either of

at your option.

Contribution

Unless you explicitly state otherwise, any contribution intentionally submitted for inclusion in the work by you, as defined in the Apache-2.0 license, shall be dual licensed as above, without any additional terms or conditions.

GitHub Stars

5K

LAST COMMIT

8d ago

MAINTAINERS

5

CONTRIBUTORS

136

OPEN ISSUES

83

OPEN PRs

25
VersionTagPublished
0.8.0
2yrs ago
0.7.3
2yrs ago
0.7.2
3yrs ago
0.7.1
3yrs ago
No alternatives found
No tutorials found
Add a tutorial